Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

 

Department: FORSCHUNG Affected Products: ADTF 2.14.1

Requester's Priority: Normal Platform: Ubuntu 18.04 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

Dear Sir/Madam,

I am trying to run ADTF 2.14.1 on Ubuntu Linux (18.04.1 LTS, 64 bit). I have not acquired a license yet. When I launch adtf_runtime

as described in the documentation, however, no license information window is shown. When I launch adtf_runtime from the terminal,

the following output is shown:

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(103): info

0x00000000: * Starting ADTF: Tue Oct 16 08:39:34 2018 

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:   

Registered class "adtf.core.media_sample". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1583): info 0x00000000:   

Registered class "adtf.core.media_type". ( 2 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/adtflicense/license.cpp(115):

error 0x00000000: License error (/home/paul/.adtf/adtf2.lic): License file could not be opened for reading.

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/adtflicense/license.cpp(116):

error 0x00000000: License error (/etc/adtf2.lic): License file could not be opened for reading.

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(94): info 0x00000000:

Started UCOM runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(742): info

0x00000000: Sucessfully loaded library "/home/paul/adtfx/bin/libQtCore.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(734): error

0x00000000: Unable to load library "/home/paul/adtfx/bin/libQtGui.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(1034): error

0x00000000: Could not load manifest "/home/paul/adtfx/bin/adtf_devenv.manifest" !

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(284): error 0x00000000:

runlevel "rl_system" could not be reached! try to fall back to last stable runlevel "rl_shutdown"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:   

Unregistered class "adtf.core.media_sample". ( 1 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(1627): info 0x00000000:   

Unregistered class "adtf.core.media_type". ( 0 )

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(111): info 0x00000000:

Stopped UCOM runtime

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/ucom/runtime.cpp(299): info 0x00000000:

fall back to runlevel "rl_shutdown" succeeded! Return with error anyway!

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(576): info

0x00000000:  ADTF stopped: Tue Oct 16 08:39:34 2018 *

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/sdk/private/runtime_ex.cpp(737): exception

0x00000003: Unable to load library "/home/paul/adtfx/bin/libQtGui.so"

/opt/jenkins/workspace/ADTF2_builder/PLATFORM/U1404_x64_gcc48/source/src/tools/adtfdevenv/../launcher/main.cpp(521):

info 0x00000000: ADTF exits with code: -3

 How can I request a license for this instance? I can run ADTF 3 on the same machine without any issues.

2024-05-10 1/3



Lösung

The problem in this case is not ADTF itself, its QT 4.7.x.

ADTF 3.x uses QT 5.9 which does not have such effects.

Due to the fact that QT could not be loaded, there is no chance to open the QT-depended view (License Dialog).

You are using a not supported and untested Ubuntu delivery, please use the recommended Ubuntu 14.04.

The delivery is not working on u18.04, you have to recompile QT 4.7.1 for your platform.

See #3649

Anyway, this is out of the supported scope.

Related issues:

Is duplicate of Public Support - Support Request #3649: ADTF 2.x could not st... Closed

History

#1 - 2018-10-16 09:25 - hidden

- Status changed from New to In Progress

- Private changed from Yes to No

- Topic set to ADTF::Common

- Customer set to VW

- Department set to FORSCHUNG

- Affected Products ADTF 2.14.1 added

- Platform Ubuntu 18.04 64bit added

#2 - 2018-10-16 09:25 - hidden

- Is duplicate of Support Request #3649: ADTF 2.x could not start on Ubuntu 18.04 (failed to load QT libraries) added

#3 - 2018-10-16 09:29 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Not Supported Scope

Hi Paul,

the problem in this case is not ADTF itself, its QT 4.7.x.

ADTF 3.x uses QT 5.9 which does not have such effects.

Due to the fact that QT could not be loaded, there is no chance to open the QT-depended view (License Dialog).

You are using a not supported and untested Ubuntu delivery, please use the recommended Ubuntu 14.04.

The delivery is not working on u18.04, you have to recompile QT 4.7.1 for your platform.

See #3649

Anyway, this is out of the supported scope.

#4 - 2018-10-16 13:30 - hidden

Hi Florian,

Thank you for the information. I installed Ubuntu 14.04, and the license manager shows up correctly now.

I would like to request a license with the following data:

License Request

---------------------------------------------------

Product: ADTF

Version: 2.14.2

MAC address:

---------------------------------------------------

1: eth0

Description:

MAC: 08-00-27-8A-E9-CD

All the best,

Paul
support.digitalwerk.net/projects/download-center/repository/show/3rd-party/qt/4.7.1
https://support.digitalwerk.net/issues/3649
support.digitalwerk.net/projects/download-center/repository/show/3rd-party/qt/4.7.1
https://support.digitalwerk.net/issues/3649


Von: support@digitalwerk.net <support@digitalwerk.net>

Gesendet: Dienstag, 16. Oktober 2018 09:30

Betreff: [Support - Support Request #4439] (Customer Feedback Required) ADTF 2 won't show license dialog

#6 - 2018-10-16 14:25 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

License Request will be handeled in #4446

#7 - 2018-11-06 13:26 - hidden

- Status changed from To Be Closed to Closed
